PIA / OpenVPN warnings



  • Hey folks,

    I have PIA configured using the strong encryption (4096) but i get these warnings in the logs:

    Oct 23 13:51:45 openvpn 71654 WARNING: 'link-mtu' is used inconsistently, local='link-mtu 1570', remote='link-mtu 1542'
    Oct 23 13:51:45 openvpn 71654 WARNING: 'cipher' is used inconsistently, local='cipher AES-256-CBC', remote='cipher BF-CBC'
    Oct 23 13:51:45 openvpn 71654 WARNING: 'auth' is used inconsistently, local='auth SHA256', remote='auth SHA1'
    Oct 23 13:51:45 openvpn 71654 WARNING: 'keysize' is used inconsistently, local='keysize 256', remote='keysize 128'

    Am i mis-configured here? Traffic is going through VPN however.

    JJ



  • Just a guess but I believe you can have strong and weak encryption setup with PIA…not sure what your setup is but double check you didn't mix them up when you setup PIA? Also the PIA instructions on their website are no longer up-to-date since pfSense 2.4 came out...not sure what version you are using. I think OpenVPN was updated with 2.4...



  • Was it working before? (i.e. Did you check your logs to make sure this is new.)

    I believe the strong encryption only works on UDP/1197 - but I may be mistaken.




Log in to reply